<?php
/* Copyright (C) 2020 SuperAdmin
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Library javascript to enable Browser notifications
 */

// Load Dolibarr environment
$res=0;
// Try main.inc.php into web root known defined into CONTEXT_DOCUMENT_ROOT (not always defined)
if (! $res && ! empty($_SERVER["CONTEXT_DOCUMENT_ROOT"])) $res=@include($_SERVER["CONTEXT_DOCUMENT_ROOT"]."/main.inc.php");
// Try main.inc.php into web root detected using web root calculated from SCRIPT_FILENAME
$tmp=empty($_SERVER['SCRIPT_FILENAME'])?'':$_SERVER['SCRIPT_FILENAME'];$tmp2=realpath(__FILE__); $i=strlen($tmp)-1; $j=strlen($tmp2)-1;
while($i > 0 && $j > 0 && isset($tmp[$i]) && isset($tmp2[$j]) && $tmp[$i]==$tmp2[$j]) { $i--; $j--; }
if (! $res && $i > 0 && file_exists(substr($tmp, 0, ($i+1))."/main.inc.php")) $res=@include(substr($tmp, 0, ($i+1))."/main.inc.php");
if (! $res && $i > 0 && file_exists(substr($tmp, 0, ($i+1))."/../main.inc.php")) $res=@include(substr($tmp, 0, ($i+1))."/../main.inc.php");
// Try main.inc.php using relative path
if (! $res && file_exists("../../main.inc.php")) $res=@include("../../main.inc.php");
if (! $res && file_exists("../../../main.inc.php")) $res=@include("../../../main.inc.php");
if (! $res) die("Include of main fails");

require_once DOL_DOCUMENT_ROOT . '/product/class/product.class.php';
require_once DOL_DOCUMENT_ROOT . '/fourn/class/fournisseur.product.class.php';
require_once DOL_DOCUMENT_ROOT . '/societe/class/societe.class.php';

global $db, $conf, $user;

$action = GETPOST("action");
$idSupplier = GETPOST("idSupplier");
$percent = GETPOST("percent");
if ($action == "updateBuyPrice") {
    $supplier = new Societe($db);
    $supplier->fetch($idSupplier);

    $getProduct = "SELECT * FROM ". MAIN_DB_PREFIX ."product_fournisseur_price WHERE fk_soc=" . $idSupplier;

    $db->begin();
    $resql = $db->query($getProduct);
    if (!$resql) {
        dol_syslog('updatesupprice get product ' . $getProduct, LOG_DEBUG);
        dol_syslog('updatesupprice get product ' . $db->lasterror(), LOG_ERR);
        $db->rollback();
        $return = array("message" => $langs->trans("UPDATESUPPRICE_ERROR_GET_PRODUCTS"), "error" => 1);
        print json_encode($return);
        exit();
    }

    $obj = $db->fetch_object($resql);
    while($obj != null) {
        $product = new ProductFournisseur($db);
        $product->fetch($obj->fk_product);
        $product->product_fourn_price_id = $obj->rowid;
        $product->update($product->id, $user);

        $newprice = ($obj->price + ($obj->price*($percent/100)));

        $localtax = array('0'=>$product->localtax1_type, '1'=>$product->localtax1_tx, '2'=>$product->localtax2_type, '3'=>$product->localtax2_tx);

        $res = $product->update_buyprice($obj->quantity, $newprice, $user, $product->price_base_type, $supplier , $product->fk_availability, $obj->ref_fourn, $obj->tva_tx, $obj->charges, $obj->remise_percent, $obj->remise, $product->tva_npr, $product->delivery_time_days, $product->supplier_reputation, $localtax);

        if ($res < 0) {
            dol_syslog('updatesupprice error updateprice ' . $product->id, LOG_DEBUG);
            $db->rollback();
            $return = array("message" => $langs->trans("UPDATESUPPRICE_ERROR_UPDATE_PRICE"), "error" => 2);
            print json_encode($return);
            exit();
        }
        $product->update($product->id, $user);
        $obj = $db->fetch_object($resql);
    }
    $db->commit();
    $return = array("message" => $langs->trans("UPDATESUPPRICE_UPDATE_PRICE_SUCCESS"), "error" => 0);
    print json_encode($return);
    exit();
}

if ($action == "updateSellPrice") {
    $supplier = new Societe($db);
    $supplier->fetch($idSupplier);

    $getProduct = "SELECT * FROM ". MAIN_DB_PREFIX ."product_fournisseur_price WHERE fk_soc=" . $idSupplier;
    $db->begin();
    $resql = $db->query($getProduct);
    if (!$resql) {
        dol_syslog('updatesupprice get product ' . $getProduct, LOG_DEBUG);
        dol_syslog('updatesupprice get product ' . $db->lasterror(), LOG_ERR);
        $db->rollback();
        $return = array("message" => $langs->trans("UPDATESUPPRICE_ERROR_GET_PRODUCTS"), "error" => 1);
        print json_encode($return);
        exit();
    }
    while($obj = $db->fetch_object($resql)) {
        $product = new Product($db);
        $product->fetch($obj->fk_product);
        $newprice = $product->price + ($product->price*($percent/100));

        $localtax = array('0'=>$product->localtax1_type, '1'=>$product->localtax1_tx, '2'=>$product->localtax2_type, '3'=>$product->localtax2_tx);
        if ($product->price_min <= $newprice){
            $res = $product->updatePrice($newprice, $product->price_base_type, $user, $product->tva_tx, $product->price_min, 0, $product->tva_npr, 0, 0, $localtax);
            if ($res < 0) {
                dol_syslog('updatesupprice error updateprice ' . $product->id, LOG_DEBUG);
                $db->rollback();
                $return = array("message" => $langs->trans("UPDATESUPPRICE_ERROR_UPDATE_PRICE"), "error" => 2);
                print json_encode($return);
                exit();
            }
        }
        //$product->update($product->id, $user);
    }
    $db->commit();

    $return = array("message" => $langs->trans("UPDATESUPPRICE_UPDATE_PRICE_SUCCESS"), "error" => 0);
    print json_encode($return);
    exit();
}


