<?php

/* Copyright (C) 2001-2005 Rodolphe Quiedeville <rodolphe@quiedeville.org>
 * Copyright (C) 2004-2015 Laurent Destailleur  <eldy@users.sourceforge.net>
 * Copyright (C) 2005-2012 Regis Houssin        <regis.houssin@capnetworks.com>
 * Copyright (C) 2015      Jean-François Ferry	<jfefe@aternatik.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

// Load Dolibarr environment
$res=0;
if (! $res && ! empty($_SERVER["CONTEXT_DOCUMENT_ROOT"])) $res=@include($_SERVER["CONTEXT_DOCUMENT_ROOT"]."/main.inc.php");
$tmp=empty($_SERVER['SCRIPT_FILENAME'])?'':$_SERVER['SCRIPT_FILENAME'];$tmp2=realpath(__FILE__); $i=strlen($tmp)-1; $j=strlen($tmp2)-1;
while($i > 0 && $j > 0 && isset($tmp[$i]) && isset($tmp2[$j]) && $tmp[$i]==$tmp2[$j]) { $i--; $j--; }
if (! $res && $i > 0 && file_exists(substr($tmp, 0, ($i+1))."/main.inc.php")) $res=@include(substr($tmp, 0, ($i+1))."/main.inc.php");
if (! $res && $i > 0 && file_exists(dirname(substr($tmp, 0, ($i+1)))."/main.inc.php")) $res=@include(dirname(substr($tmp, 0, ($i+1)))."/main.inc.php");
if (! $res && file_exists("../main.inc.php")) $res=@include("../main.inc.php");
if (! $res && file_exists("../../main.inc.php")) $res=@include("../../main.inc.php");
if (! $res && file_exists("../../../main.inc.php")) $res=@include("../../../main.inc.php");
if (! $res) die("Include of main fails");

// import useful files
require_once DOL_DOCUMENT_ROOT.'/core/class/html.formfile.class.php';

// Load translation files
$langs->loadLangs(array("updatesupprice@updatesupprice"));

// Check security access
if (! $user->rights->updatesupprice->editBuyPrice) accessforbidden();

// Instantiate objects
$form = new Form($db);

/*
 * View
 */

llxHeader("",$langs->trans("updatesuppriceAreaBuyPrice"));

print load_fiche_titre($langs->trans("updatesuppriceAreaBuyPrice"),'','title_accountancy.png');

print '<div class="fichecenter">';
print '<form>';
print '  <div class="form-group">';
print '    <label for="exampleInputEmail1">'. $langs->trans('UPDATESUPPRICE_CHOOSE_SUPPLIER') .'</label><br>';
print $form->select_company('', 'updatesupprice_supplier', 's.fournisseur = 1');
print '  </div>';
print '  <div class="form-group">';
print '    <label for="exampleInputPassword1">'. $langs->trans('UPDATESUPPRICE_PERCENT') .'</label>';
print '    <input type="text" class="form-control" id="percent" style="width: 15%">';
print '    <small id="percentHelpBlock" class="form-text text-muted">' . $langs->trans("UPDATESUPPRICE_PERCENT_TOOLTIP") . '</small>';
print '  </div>';
print '  <button id="submit-update" type="button" class="btn btn-primary">'. $langs->trans('UPDATESUPPRICE_SUBMIT') .'</button>';
print '</form>';

print '<div id="error" style="padding:1em;display:none; text-align: center; margin-right: 80%; margin-top: 3%; background-color: rgba(255,9,0,0.10); border: 0.1em solid rgba(255,9,0,0.25); border-radius: 0.2em;"></div>';
print '<div id="success" style="padding:1em;display:none;text-align: center; margin-right: 80%; margin-top: 3%; background-color: rgba(9,255,0,0.10); border: 0.1em solid rgba(9,255,0,0.25); border-radius: 0.2em;"></div>';

print '<script>
function cleanAndVerifyPercent(percent) {
    //clean the percent value
    percent.value = percent.value.replace(/\s/g, "");
    percent.value = percent.value.replace(/%/g, "");
    percent.value = percent.value.replace(/,/g, ".");
   
    //replace the new value in the form
    $("#percent").val(percent.value);
    
    //test percent value if match float pattern
    let regex = RegExp("^[+/-][0-9]+.[0-9]+$");
    let regex2 = RegExp("^[+/-][0-9]+$");
    if (! (regex.test(percent.value) || regex2.test(percent.value))) {
        percent.error = 1;
    }
    
    return percent;
}
    
$(document).ready(function() {
    $("#submit-update").click(function() {
        $("#error").hide();
        $("#success").hide();
        
        var idSupplier = $("#updatesupprice_supplier").val();
        var percent = {
            value: $("#percent").val(),
            error: 0
        };
        
        percent = cleanAndVerifyPercent(percent);
        
        if (percent.error) {
            $("#error").text("'. $langs->trans('UPDATESUPPRICE_PERCENT_ERROR') .'");
            $("#error").toggle();
        } else {
            $.ajax({
               type: "POST",
               url: "' . dol_buildpath('/updatesupprice/ajax/ajaxUpdatesupprice.php', 1) . '",
               data: {
                   idSupplier: idSupplier,
                   percent: percent.value,
                   action: "updateBuyPrice",
                   token : "'.newToken().'"
               }
            }).done(function(data) {
                data = JSON.parse(data);
                if (data.error) {
                    $("#error").text(data.message);
                    $("#error").toggle();
                } else {
                    $("#percent").val("");
                    $("#success").text(data.message);
                    $("#success").toggle();   
                }
            }).fail(function() {
                $("#error").text("'. $langs->trans('UPDATESUPPRICE_ERROR_CALL_AJAX') .'");
                $("#error").toggle();
            });
        }
    });
});
</script>';
llxFooter();

// EOF
